<template>
  <!--
  <header>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
      <div class="container">
        <a class="navbar-brand" href="/">FastAPI + Vue</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul v-if="isLoggedIn" class="navbar-nav me-auto mb-2 mb-md-0">
            <li class="nav-item">
              <router-link class="nav-link" to="/">Home</router-link>
            </li>
            <li class="nav-item">
              <router-link class="nav-link" to="/dashboard">Dashboard</router-link>
            </li>
            <li class="nav-item">
              <router-link class="nav-link" to="/profile">My Profile</router-link>
            </li>
            <li class="nav-item">
              <a class="nav-link" @click="logout">Log Out</a>
            </li>
          </ul>
          <ul v-else class="navbar-nav me-auto mb-2 mb-md-0">
            <li class="nav-item">
              <router-link class="nav-link" to="/">Home</router-link>
            </li>
            <li class="nav-item">
              <router-link class="nav-link" to="/register">Register</router-link>
            </li>
            <li class="nav-item">
              <router-link class="nav-link" to="/login">Log In</router-link>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header> 
  -->
  <Menubar :model="items">
    <template #start>
      <router-link to="/panel">
        <Image src="/logo-artiphonie.png" alt="Artiphonie logo" width="100" />
      </router-link>
    </template>
  </Menubar>
</template>

<script>
import Menubar from "primevue/menubar";
import Image from "primevue/image";

export default {
  name: "Navbar",
  components: {
    Menubar,
    Image,
  },
  data() {
    return {
      items: [],
    };
  },
  created() {
    if (this.$store.state.user.isLoggedIn) {
      if (this.$store.state.user.grade != 1) {
        this.items.push({
          label: "Mon Compte",
          icon: "pi pi-fw pi-user",
          items: [
            {
              label: "Panel",
              icon: "pi pi-fw pi-user",
              to: "/panel"
            },
            {
              label: "Paramètres",
              icon: "pi pi-fw pi-cog",
              to: "/account",
            },
            {
              label: "Administration",
              icon: "pi pi-fw pi-cog",
              to: "/ortho",
            },
            {
              separator: true,
            },
            {
              label: "Me déconnecter",
              icon: "pi pi-fw pi-power-off",
              command: () => {
                this.logout();
              },
            },
          ],
        })
      } else {
        this.items.push({
          label: "Mon Compte",
          icon: "pi pi-fw pi-user",
          items: [
            {
              label: "Paramètres",
              icon: "pi pi-fw pi-cog",
              to: "/account",
            },
            {
              separator: true,
            },
            {
              label: "Me déconnecter",
              icon: "pi pi-fw pi-power-off",
              command: () => {
                this.logout();
              },
            },
          ],
        })
      }
    } else {
      this.$router.push('/')
    }
  },
  methods: {
    async logout () {
      await this.$store.commit('logout');
      this.$router.push('/');
    }
  }
};
</script>

<style lang="scss">
.p-menubar-root-list {
  flex-grow: 2;
  justify-content: flex-end;
}

.p-menubar-button {
  flex-grow: 2;
  justify-content: flex-end;
  padding-right: 1rem;
}

.p-menubar-button:hover {
  cursor: auto !important;
  background-color: #f8f9fa !important;
}

.p-menubar-button:focus {
  box-shadow: none !important;
}

.pi:hover {
  cursor: pointer !important;
  background-color: rgb(233, 236, 239) !important;
  border-radius: 50px;
}

@media screen and (min-width: 960px) {
  .p-menubar .p-submenu-list {
    width: 11rem !important;
  }
}
@media screen and (max-width: 960px) {
  .p-menubar .p-submenu-list {
    width: 100% !important;
  }
}
</style>